Package com.oracle.nosql.spring.data

# Class Constants

java.lang.Object
com.oracle.nosql.spring.data.Constants

public class Constants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `DEFAULT_AUTO_CREATE_TABLE`
  `static final int`
  `DEFAULT_QUERY_CACHE_CAPACITY`
  `static final int`
  `DEFAULT_QUERY_CACHE_LIFETIME_MS`
  `static final String`
  `DEFAULT_REPOSITORY_IMPLEMENT_POSTFIX`
  `static final String`
  `DEFAULT_TABLE_CONSISTENCY`
  `static final String`
  `DEFAULT_TABLE_DURABILITY`
  `static final String`
  `DEFAULT_TABLE_NAME`
  `static final int`
  `DEFAULT_TABLE_RED_POLL_INTERVAL_MS`
  `static final int`
  `DEFAULT_TABLE_REQ_TIMEOUT_MS`
  `static final int`
  `DEFAULT_TIMESTAMP_PRECISION`
  `static final String`
  `ID_PROPERTY_NAME`
  `static final String`
  `NOSQL_MAPPING_CONTEXT`
  `static final String`
  `NOSQL_XML_TEMPLATE_REF`
  `static final String`
  `NOSQLDB_MODULE_NAME`
  `static final String`
  `NOSQLDB_MODULE_PREFIX`
  `static final int`
  `NOTSET_PRIMARY_KEY_ORDER`
  `static final boolean`
  `NOTSET_SHARD_KEY`
  `static final int`
  `NOTSET_TABLE_READ_UNITS`
  `static final int`
  `NOTSET_TABLE_STORAGE_GB`
  `static final int`
  `NOTSET_TABLE_TIMEOUT_MS`
  `static final int`
  `NOTSET_TABLE_TTL`
  `static final int`
  `NOTSET_TABLE_WRITE_UNITS`
  `static final String`
  `USER_AGENT`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_TABLE_NAME

    public static final String DEFAULT_TABLE_NAME
    See Also:
      - Constant Field Values

  - ### DEFAULT_AUTO_CREATE_TABLE

    public static final boolean DEFAULT_AUTO_CREATE_TABLE
    See Also:
      - Constant Field Values

  - ### ID_PROPERTY_NAME

    public static final String ID_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### NOSQLDB_MODULE_NAME

    public static final String NOSQLDB_MODULE_NAME
    See Also:
      - Constant Field Values

  - ### NOSQLDB_MODULE_PREFIX

    public static final String NOSQLDB_MODULE_PREFIX
    See Also:
      - Constant Field Values

  - ### NOSQL_MAPPING_CONTEXT

    public static final String NOSQL_MAPPING_CONTEXT
    See Also:
      - Constant Field Values

  - ### DEFAULT_REPOSITORY_IMPLEMENT_POSTFIX

    public static final String DEFAULT_REPOSITORY_IMPLEMENT_POSTFIX
    See Also:
      - Constant Field Values

  - ### NOSQL_XML_TEMPLATE_REF

    public static final String NOSQL_XML_TEMPLATE_REF
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_REQ_TIMEOUT_MS

    public static final int DEFAULT_TABLE_REQ_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_RED_POLL_INTERVAL_MS

    public static final int DEFAULT_TABLE_RED_POLL_INTERVAL_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_QUERY_CACHE_CAPACITY

    public static final int DEFAULT_QUERY_CACHE_CAPACITY
    See Also:
      - Constant Field Values

  - ### DEFAULT_QUERY_CACHE_LIFETIME_MS

    public static final int DEFAULT_QUERY_CACHE_LIFETIME_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_TIMESTAMP_PRECISION

    public static final int DEFAULT_TIMESTAMP_PRECISION
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_CONSISTENCY

    public static final String DEFAULT_TABLE_CONSISTENCY
    See Also:
      - Constant Field Values

  - ### DEFAULT_TABLE_DURABILITY

    public static final String DEFAULT_TABLE_DURABILITY
    See Also:
      - Constant Field Values

  - ### NOTSET_TABLE_READ_UNITS

    public static final int NOTSET_TABLE_READ_UNITS
    See Also:
      - Constant Field Values

  - ### NOTSET_TABLE_WRITE_UNITS

    public static final int NOTSET_TABLE_WRITE_UNITS
    See Also:
      - Constant Field Values

  - ### NOTSET_TABLE_STORAGE_GB

    public static final int NOTSET_TABLE_STORAGE_GB
    See Also:
      - Constant Field Values

  - ### NOTSET_TABLE_TIMEOUT_MS

    public static final int NOTSET_TABLE_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### NOTSET_TABLE_TTL

    public static final int NOTSET_TABLE_TTL
    See Also:
      - Constant Field Values

  - ### NOTSET_SHARD_KEY

    public static final boolean NOTSET_SHARD_KEY
    See Also:
      - Constant Field Values

  - ### NOTSET_PRIMARY_KEY_ORDER

    public static final int NOTSET_PRIMARY_KEY_ORDER
    See Also:
      - Constant Field Values

  - ### USER_AGENT

    public static final String USER_AGENT
    See Also:
      - Constant Field Values